Me
curl --request GET \
--url https://api.deepinfra.com/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deepinfra.com/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deepinfra.com/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "<string>",
"email": "<string>",
"email_verified": true,
"account_setup": true,
"display_name": "<string>",
"provider": "<string>",
"picture": "<string>",
"is_admin": true,
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"country": "<string>",
"is_business_account": true,
"company": "<string>",
"website": "<string>",
"title": "<string>",
"require_email_verified": false,
"can_access_agents": false,
"can_access_sandboxes": true,
"is_team_account": false,
"is_team_owner": false,
"team_role": "<string>",
"team_display_name": "<string>",
"is_team_upgrade_enabled": true,
"vercel_connection": {
"user_id": "<string>",
"installation_id": "<string>",
"team_id": "<string>"
},
"google_linked": false,
"show_signup_form": false,
"checklist": {
"stripe_balance": 123,
"recent": 123,
"limit": 123,
"suspend_reason": "balance",
"email": false,
"billing_address": false,
"billing_address_info": {
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"payment_method": false,
"payment_method_info": {
"type": "<string>",
"card": {
"brand": "<string>",
"last4": "<string>",
"wallet": "<string>"
},
"us_bank_account": {
"bank_name": "<string>",
"last4": "<string>"
},
"cashapp": {
"cashtag": "<string>"
}
},
"suspended": false,
"overdue_invoices": 0,
"last_checked": 0,
"topup": false,
"topup_amount": 0,
"topup_threshold": 0,
"topup_failed": false,
"billing_type": "<string>",
"intermediate_invoicing_threshold": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Account
Me
GET
/
v1
/
me
Me
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
Successful Response
Name that is used to identifythe account on the website
Authentication provider, e.g. 'github'
Personal name
First name of the user
Last name of the user
Country of the user
Company name
Company website address
Job title of the user, e.g. 'Software Engineer'
Whether the user may use the hosted-agents feature (admins, plus the AGENTS_ACCESS_UIDS allowlist)
Whether the user may use the sandboxes feature (available to all users)
Show child attributes
Show child attributes
Whether a Google account is linked
Frontend should route the user into the post-signup account-details form
Show child attributes
Show child attributes